Download it now!
Bug 61511 - problem Background rtf
Summary: problem Background rtf
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: high normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.1 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-26 15:27 UTC by staff
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description staff 2013-02-26 15:27:33 UTC
Hi, I have a problem with LO 4.0.3. I set an image background, I use wmf, png and bmp,(I should use a vector image) in a rtf file and i save the file without problem. When I reopen the file the background disappears. I checked the rtf file syntax and there isn't the syntax \background. I have a big problem also with "insert image". Infact if I anchor the image to the page and save to rtf file if I  reopen the file, the anchorage is lost.
Comment 1 Joel Madero 2013-02-26 17:22:18 UTC
So I don't know a whole lot about RTF format but I can confirm your bug on 3.6.4.3.

Changing version to reflect oldest version that we can confirm issue (this is our policy)

Version 3.6.4.3
Bodhi Linux 2.2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Marking as:
New (confirmed)
Normal (although it's a loss of data, this is warned about when saving as RTF, plus RTF isn't used all that much)
High (loss of data, think high is accurate)


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
@Staff - please keep two things in mind when reporting bugs:

1. Provide reproducible steps no matter how easy the bug seems to reproduce, makes QA's job 10x easier.

2. Do not put two bugs in one report, I am not testing the second issue you posted, please make that a second bug report.
Comment 2 Miklos Vajna 2013-09-22 09:35:42 UTC
Providing some background: Writer supports multiple page styles, and background is a page style property. Word supports only a single background for the whole document. For simple background color we just export the background color of the first page style. Doing the same could be done for background images as well.
Comment 3 QA Administrators 2015-04-01 14:41:46 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-04-23 19:26:30 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 5 Miklos Vajna 2016-01-08 23:29:52 UTC
Rechecking this, what I wrote in comment 2 is only true for DOCX, in RTF we don't even export the page background fill if it's just a solid color. I'll take care of that, and I suggest to create follow-up bugs for the other fill types (bitmap, gradient, etc).
Comment 6 Commit Notification 2016-01-12 08:09:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0058366190b63fcbc112b43d387f7600a7fe55d

tdf#61511 RTF export: handle page background solid color fill

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-02-02 12:10:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15f02a66af987cb7dc95b443657d8eebf0d6c0bd&h=libreoffice-5-1

tdf#61511 RTF export: handle page background solid color fill

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-02-04 16:49:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e8be547eb44b0211ab45e21c6961e2dc3995a84&h=libreoffice-5-0

tdf#61511 RTF export: handle page background solid color fill

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.